Bug 987299 - PRD35 - [RFE] Display of NIC Slave/Bond fault on RHEV-M Event Log and UI
PRD35 - [RFE] Display of NIC Slave/Bond fault on RHEV-M Event Log and UI
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.3.0
x86_64 Linux
high Severity high
: ---
: 3.5.0
Assigned To: Alona Kaplan
Meni Yakove
network
: FutureFeature
: 987302 (view as bug list)
Depends On:
Blocks: 1075672 958503 960739 1079719 rhev3.5beta 1156165
  Show dependency treegraph
 
Reported: 2013-07-23 03:56 EDT by yuzuru.maya.zn
Modified: 2016-02-10 14:51 EST (History)
24 users (show)

See Also:
Fixed In Version: ovirt-3.5.0-rc1
Doc Type: Enhancement
Doc Text:
With this update, you can now set event notifications for NIC slave or bond faults, provided there is a network or label on the interface. Four new events have been made available for selection to configure your event notifier. They are: HOST_INTERFACE_STATE_UP, HOST_INTERFACE_STATE_DOWN, HOST_BOND_SLAVE_STATE_UP, and HOST_BOND_SLAVE_STATE_DOWN. To enable or update your event notifier, subscribe to ovirt-engine-notifier to receive notifications on your selected events. See "Configuring Event Notifications" in the Administration Guide for more information.
Story Points: ---
Clone Of:
: 1072007 1079693 (view as bug list)
Environment:
Last Closed: 2015-02-11 12:53:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nyechiel: Triaged+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 26104 None None None Never
oVirt gerrit 26375 None None None Never
oVirt gerrit 30833 None None None Never
oVirt gerrit 30876 None None None Never

  None (edit)
Description yuzuru.maya.zn 2013-07-23 03:56:58 EDT
1. Feature Overview:
  a) Name of feature:
     Display of NIC/FC fault on RHEV-M management screen

  b) Feature Description:
     RHEV-M displays fault information when a fault occurs at the redundant NIC/FC-HBA. As a result we can receive the fault information quickly.

2. Feature Details:

  a) Architectures:
     64-bit Intel EM64T/AMD64

  b) Bugzilla Dependencies:
     None

  c) Drivers or hardware dependencies:
     None

  d) Upstream acceptance information:
     None

  e) External links:
     None

  f) Severity (H,M,L):
     High

  g) Feature Needed by:
     2014 1Q
Comment 5 Moti Asayag 2013-12-18 09:49:52 EST
In rhevm-3.3 vdsm reports both states of the bond and its slaves.
However, in the 'network interfaces' sub-tab of the host only the bond's slaves status is shown and the user cannot know the bond status.

The only method to query the bond state is by rest:
  /api/hosts/{host:id}/nics/{nic:id}/statistics 
where {nic:id} should be the bond's id.

The bond/slaves state can be reflected to the user by adding:
1. An icon next to the bond name in order to indicate its status.
2. An event log in case on of the bond's slaves is reported 'down' (only for bonds that a network is attached)
Comment 12 Nir Yechiel 2014-02-17 06:02:48 EST
Hi Larry,

As of 3.3, the bond and slaves link status (UP/DOWN) are reported and reflected in the UI in two places: the host's Interfaces tab and the Setup Host Interfaces dialog. If a slave is going down for some reason, this is reflected in those two places and you can see that the particular NIC is down while the bond is still up. I believe this is cover the original customer request as outlined in comment #1 in this RFE. I am also attaching two scrrenshots form the UI - can you please take a look?

As Moti wrote in comment #5, we can add an icon next to the bond name in order to indicate its current status (e.g., UP, UP w/ a slave fault, DOWN), but I think this is not the original customer request.
Comment 13 Larry Troan 2014-02-17 15:11:06 EST
Switching the NEEDINFO to the repporter.
Comment 15 yuzuru.maya.zn 2014-02-19 17:15:48 EST
Administrators do not always monitor the bonding screen 
(host's Interfaces tab and the Set Up Host Interface dialog 
from Nir-san's comment12). 
Then the administrators can not notice a NIC fault at once.
Hitachi requests that RHEV-M displays fault messages 
to the area of Alerts, Events and Task part 
which is the bottom of the RHEV-M screen 
because administrators always monitor them. 
I'll attach RHEV-M screen.

Thank you.
Comment 16 Moti Asayag 2014-02-19 17:46:55 EST
(In reply to yuzuru.maya.zn from comment #15)
> Administrators do not always monitor the bonding screen 
> (host's Interfaces tab and the Set Up Host Interface dialog 
> from Nir-san's comment12). 
> Then the administrators can not notice a NIC fault at once.
> Hitachi requests that RHEV-M displays fault messages 
> to the area of Alerts, Events and Task part 
> which is the bottom of the RHEV-M screen 
> because administrators always monitor them. 

I'm in favour of this approach as stated in comment #5 (the second proposal).
Just to state again, we should report a warning to the event log on for bond which a network is configured on top of them and one or more of their slaves is down.
Comment 17 Nir Yechiel 2014-02-20 08:18:50 EST
Can we agree that a warning in the event log is what is missing here? Isn't it what you asked for in Bug 987302?
Comment 19 yuzuru.maya.zn 2014-02-23 21:51:13 EST
Let me double check the meaning of "event log".
Does the part of event log mean the bottom area of RHEV-M screen?
I attach the RHEV-M screen and show "the event log".
Comment 20 Moti Asayag 2014-02-24 02:20:18 EST
(In reply to yuzuru.maya.zn from comment #19)
> Let me double check the meaning of "event log".
> Does the part of event log mean the bottom area of RHEV-M screen?
> I attach the RHEV-M screen and show "the event log".

Yes, that's were the events are shown. There is also a specific events view per entity (Host/Vm/...) as well when you click on the specific entity.
Comment 22 Nir Yechiel 2014-03-03 11:34:35 EST
*** Bug 987302 has been marked as a duplicate of this bug. ***
Comment 24 Nir Yechiel 2014-03-20 13:29:28 EDT
Would this satisfy your request:

1) Report a warning to the event log on for bond which a network is configured on top of them and one or more of their slaves is down

2) Add an icon next to the bond name in the Web Admin UI in order to indicate its current status (e.g., UP, UP w/ a slave fault, DOWN)


Please note that Ethernet and FC ports are treated differently in the system. Kindly update BZ #1072007 with the FC details so the Storage team would be able to examine the information.
Comment 29 Alona Kaplan 2014-04-23 06:15:07 EDT
When the status of the interface/bond is changed an event should be reported in the following cases-
1. There is a network or label on the interface/bond
2. The interface is a slave of a bond and 1 is true for the parent bond.

There won't be more than one event per interface each 30 minutes.

The new events are-
HOST_INTERFACE_STATE_UP, HOST_INTERFACE_STATE_DOWN, HOST_BOND_SLAVE_STATE_UP, HOST_BOND_SLAVE_STATE_DOWN

The user can subscribe to ovirt-engine-notifier to get notifications on those events via UI or configuration.
Comment 36 Martin Pavlik 2014-08-13 10:43:46 EDT
verified @ ovirt-3.5.0-rc1
Comment 38 errata-xmlrpc 2015-02-11 12:53:56 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html
Comment 39 Barak 2015-04-19 09:06:22 EDT
*** Bug 987302 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.